<?php

namespace EventPortal\Domain\Approval\Handlers;

use Closure;
use EventPortal\Domain\Form\Payload;

class SetEventApprovalStatusToAwaiting
{
    /**
     * @return mixed
     */
    public function __invoke(Payload $payload, Closure $next)
    {
        /** @var \EventPortal\Domain\Event\Models\Event $event  */
        $event = $payload->getModel();

        $event->approval()->updateOrCreate(
            ['event_id' => $event->id],
            ['status' => 'awaiting-approval']
        );

        return $next($payload);
    }
}
