<?php

namespace EventPortal\Http\Controllers\Admin\Event\Approval\Compliance;

use EventPortal\Contracts\Event;
use EventPortal\Domain\Form\Facades\Form;
use EventPortal\Http\Controllers\Controller;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;

class SubmitComplianceApprovalStatusForEventController extends Controller
{
    public function __invoke(Event $event, Request $request): RedirectResponse
    {
        // This is currently going to be hard coded to a particular approval process but this should come from
        // the event itself
        Form::make('event-approval.show-compliance')
            ->model($event)
            ->validate($request->all())
            ->handle($request->all());

        toast()->success(trans('event-approval.sent-for-approval'));

        return redirect()->route('admin.dashboard.index');
    }
}
