<?php

namespace EventPortal\Http\Controllers\Admin\Event\Approval;

use EventPortal\Contracts\Event;
use EventPortal\Domain\Event\Actions\TransitionEvent;
use EventPortal\Http\Controllers\Controller;
use Illuminate\Http\RedirectResponse;
use SM\SMException;

class EventApprovalTransitionController extends Controller
{
    public function __construct()
    {
        $this->middleware('check-permission:event.update');
    }

    public function __invoke(Event $event, TransitionEvent $action): RedirectResponse
    {
        try {
            $action->execute($event, request()->type);
            toast()->success(trans('event.transitioned'));
        } catch (SMException $exception) {
            report($exception);
            toast()->error(trans('event.error'));
        }

        return redirect()->back();
    }
}
