<?php

namespace EventPortal\Http\Controllers\Admin\Event\Approval\Manager;

use EventPortal\Contracts\Event;
use EventPortal\Domain\Form\Facades\Form;
use EventPortal\Http\Controllers\Controller;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;

class SubmitDeclineStatusForMeetingController extends Controller
{
    public function __invoke(Event $event, Request $request): RedirectResponse
    {
        Form::make('event-approval.decline')
            ->model($event)
            ->validate($request->all())
            ->handle($request->all());

        toast()->success(trans('event-approval.declined'));

        return redirect()->route('admin.event.index');
    }
}
